/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DomainChartDescription } from "./DomainChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let XYChartDescription = /*@__PURE__*/ (() => {
    class XYChartDescription extends DomainChartDescription {
        constructor() {
            super();
            this.q7 = null;
            this.rp = null;
            this.pc = 0;
            this.pe = 0;
            this.pd = 0;
            this.pb = 0;
            this.pt = 0;
            this.pv = 0;
            this.pu = 0;
            this.ps = 0;
            this.rc = null;
            this.ru = null;
            this.q5 = null;
            this.q6 = null;
            this.pn = 0;
            this.p4 = 0;
            this.pm = 0;
            this.p3 = 0;
            this.pp = 0;
            this.p6 = 0;
            this.po = 0;
            this.p5 = 0;
            this.pl = 0;
            this.p2 = 0;
            this.rn = null;
            this.r5 = null;
            this.rd = null;
            this.rv = null;
            this.ro = null;
            this.r6 = null;
            this.rb = null;
            this.rt = null;
            this.rg = null;
            this.ry = null;
            this.pf = 0;
            this.pw = 0;
            this.pg = 0;
            this.px = 0;
            this.ri = null;
            this.r0 = null;
            this.rj = null;
            this.r1 = null;
            this.ph = 0;
            this.py = 0;
            this.pi = 0;
            this.pz = 0;
            this.rk = null;
            this.r2 = null;
            this.pj = 0;
            this.p0 = 0;
            this.rl = null;
            this.r3 = null;
            this.rh = null;
            this.rz = null;
            this.pa = 0;
            this.pr = 0;
            this.o9 = 0;
            this.pq = 0;
            this.pk = 0;
            this.p1 = 0;
            this.o5 = false;
            this.o6 = false;
            this.rm = null;
            this.r4 = null;
            this.q9 = null;
            this.rr = null;
            this.re = null;
            this.rw = null;
            this.rf = null;
            this.rx = null;
            this.rs = null;
            this.ra = null;
            this.q8 = null;
            this.o1 = null;
            this.rq = null;
            this.o2 = null;
        }
        get_type() {
            return "XYChart";
        }
        get xAxisFormatLabelRef() {
            return this.q7;
        }
        set xAxisFormatLabelRef(a) {
            this.q7 = a;
            this.g("XAxisFormatLabelRef");
        }
        get yAxisFormatLabelRef() {
            return this.rp;
        }
        set yAxisFormatLabelRef(a) {
            this.rp = a;
            this.g("YAxisFormatLabelRef");
        }
        get xAxisLabelLeftMargin() {
            return this.pc;
        }
        set xAxisLabelLeftMargin(a) {
            this.pc = a;
            this.g("XAxisLabelLeftMargin");
        }
        get xAxisLabelTopMargin() {
            return this.pe;
        }
        set xAxisLabelTopMargin(a) {
            this.pe = a;
            this.g("XAxisLabelTopMargin");
        }
        get xAxisLabelRightMargin() {
            return this.pd;
        }
        set xAxisLabelRightMargin(a) {
            this.pd = a;
            this.g("XAxisLabelRightMargin");
        }
        get xAxisLabelBottomMargin() {
            return this.pb;
        }
        set xAxisLabelBottomMargin(a) {
            this.pb = a;
            this.g("XAxisLabelBottomMargin");
        }
        get yAxisLabelLeftMargin() {
            return this.pt;
        }
        set yAxisLabelLeftMargin(a) {
            this.pt = a;
            this.g("YAxisLabelLeftMargin");
        }
        get yAxisLabelTopMargin() {
            return this.pv;
        }
        set yAxisLabelTopMargin(a) {
            this.pv = a;
            this.g("YAxisLabelTopMargin");
        }
        get yAxisLabelRightMargin() {
            return this.pu;
        }
        set yAxisLabelRightMargin(a) {
            this.pu = a;
            this.g("YAxisLabelRightMargin");
        }
        get yAxisLabelBottomMargin() {
            return this.ps;
        }
        set yAxisLabelBottomMargin(a) {
            this.ps = a;
            this.g("YAxisLabelBottomMargin");
        }
        get xAxisLabelTextColor() {
            return this.rc;
        }
        set xAxisLabelTextColor(a) {
            this.rc = a;
            this.g("XAxisLabelTextColor");
        }
        get yAxisLabelTextColor() {
            return this.ru;
        }
        set yAxisLabelTextColor(a) {
            this.ru = a;
            this.g("YAxisLabelTextColor");
        }
        get actualXAxisLabelTextColor() {
            return this.q5;
        }
        set actualXAxisLabelTextColor(a) {
            this.q5 = a;
            this.g("ActualXAxisLabelTextColor");
        }
        get actualYAxisLabelTextColor() {
            return this.q6;
        }
        set actualYAxisLabelTextColor(a) {
            this.q6 = a;
            this.g("ActualYAxisLabelTextColor");
        }
        get xAxisTitleMargin() {
            return this.pn;
        }
        set xAxisTitleMargin(a) {
            this.pn = a;
            this.g("XAxisTitleMargin");
        }
        get yAxisTitleMargin() {
            return this.p4;
        }
        set yAxisTitleMargin(a) {
            this.p4 = a;
            this.g("YAxisTitleMargin");
        }
        get xAxisTitleLeftMargin() {
            return this.pm;
        }
        set xAxisTitleLeftMargin(a) {
            this.pm = a;
            this.g("XAxisTitleLeftMargin");
        }
        get yAxisTitleLeftMargin() {
            return this.p3;
        }
        set yAxisTitleLeftMargin(a) {
            this.p3 = a;
            this.g("YAxisTitleLeftMargin");
        }
        get xAxisTitleTopMargin() {
            return this.pp;
        }
        set xAxisTitleTopMargin(a) {
            this.pp = a;
            this.g("XAxisTitleTopMargin");
        }
        get yAxisTitleTopMargin() {
            return this.p6;
        }
        set yAxisTitleTopMargin(a) {
            this.p6 = a;
            this.g("YAxisTitleTopMargin");
        }
        get xAxisTitleRightMargin() {
            return this.po;
        }
        set xAxisTitleRightMargin(a) {
            this.po = a;
            this.g("XAxisTitleRightMargin");
        }
        get yAxisTitleRightMargin() {
            return this.p5;
        }
        set yAxisTitleRightMargin(a) {
            this.p5 = a;
            this.g("YAxisTitleRightMargin");
        }
        get xAxisTitleBottomMargin() {
            return this.pl;
        }
        set xAxisTitleBottomMargin(a) {
            this.pl = a;
            this.g("XAxisTitleBottomMargin");
        }
        get yAxisTitleBottomMargin() {
            return this.p2;
        }
        set yAxisTitleBottomMargin(a) {
            this.p2 = a;
            this.g("YAxisTitleBottomMargin");
        }
        get xAxisTitleTextColor() {
            return this.rn;
        }
        set xAxisTitleTextColor(a) {
            this.rn = a;
            this.g("XAxisTitleTextColor");
        }
        get yAxisTitleTextColor() {
            return this.r5;
        }
        set yAxisTitleTextColor(a) {
            this.r5 = a;
            this.g("YAxisTitleTextColor");
        }
        get xAxisLabelTextStyle() {
            return this.rd;
        }
        set xAxisLabelTextStyle(a) {
            this.rd = a;
            this.g("XAxisLabelTextStyle");
        }
        get yAxisLabelTextStyle() {
            return this.rv;
        }
        set yAxisLabelTextStyle(a) {
            this.rv = a;
            this.g("YAxisLabelTextStyle");
        }
        get xAxisTitleTextStyle() {
            return this.ro;
        }
        set xAxisTitleTextStyle(a) {
            this.ro = a;
            this.g("XAxisTitleTextStyle");
        }
        get yAxisTitleTextStyle() {
            return this.r6;
        }
        set yAxisTitleTextStyle(a) {
            this.r6 = a;
            this.g("YAxisTitleTextStyle");
        }
        get xAxisLabelRef() {
            return this.rb;
        }
        set xAxisLabelRef(a) {
            this.rb = a;
            this.g("XAxisLabelRef");
        }
        get yAxisLabelRef() {
            return this.rt;
        }
        set yAxisLabelRef(a) {
            this.rt = a;
            this.g("YAxisLabelRef");
        }
        get xAxisMajorStroke() {
            return this.rg;
        }
        set xAxisMajorStroke(a) {
            this.rg = a;
            this.g("XAxisMajorStroke");
        }
        get yAxisMajorStroke() {
            return this.ry;
        }
        set yAxisMajorStroke(a) {
            this.ry = a;
            this.g("YAxisMajorStroke");
        }
        get xAxisMajorStrokeThickness() {
            return this.pf;
        }
        set xAxisMajorStrokeThickness(a) {
            this.pf = a;
            this.g("XAxisMajorStrokeThickness");
        }
        get yAxisMajorStrokeThickness() {
            return this.pw;
        }
        set yAxisMajorStrokeThickness(a) {
            this.pw = a;
            this.g("YAxisMajorStrokeThickness");
        }
        get xAxisMinorStrokeThickness() {
            return this.pg;
        }
        set xAxisMinorStrokeThickness(a) {
            this.pg = a;
            this.g("XAxisMinorStrokeThickness");
        }
        get yAxisMinorStrokeThickness() {
            return this.px;
        }
        set yAxisMinorStrokeThickness(a) {
            this.px = a;
            this.g("YAxisMinorStrokeThickness");
        }
        get xAxisStrip() {
            return this.ri;
        }
        set xAxisStrip(a) {
            this.ri = a;
            this.g("XAxisStrip");
        }
        get yAxisStrip() {
            return this.r0;
        }
        set yAxisStrip(a) {
            this.r0 = a;
            this.g("YAxisStrip");
        }
        get xAxisStroke() {
            return this.rj;
        }
        set xAxisStroke(a) {
            this.rj = a;
            this.g("XAxisStroke");
        }
        get yAxisStroke() {
            return this.r1;
        }
        set yAxisStroke(a) {
            this.r1 = a;
            this.g("YAxisStroke");
        }
        get xAxisStrokeThickness() {
            return this.ph;
        }
        set xAxisStrokeThickness(a) {
            this.ph = a;
            this.g("XAxisStrokeThickness");
        }
        get yAxisStrokeThickness() {
            return this.py;
        }
        set yAxisStrokeThickness(a) {
            this.py = a;
            this.g("YAxisStrokeThickness");
        }
        get xAxisTickLength() {
            return this.pi;
        }
        set xAxisTickLength(a) {
            this.pi = a;
            this.g("XAxisTickLength");
        }
        get yAxisTickLength() {
            return this.pz;
        }
        set yAxisTickLength(a) {
            this.pz = a;
            this.g("YAxisTickLength");
        }
        get xAxisTickStroke() {
            return this.rk;
        }
        set xAxisTickStroke(a) {
            this.rk = a;
            this.g("XAxisTickStroke");
        }
        get yAxisTickStroke() {
            return this.r2;
        }
        set yAxisTickStroke(a) {
            this.r2 = a;
            this.g("YAxisTickStroke");
        }
        get xAxisTickStrokeThickness() {
            return this.pj;
        }
        set xAxisTickStrokeThickness(a) {
            this.pj = a;
            this.g("XAxisTickStrokeThickness");
        }
        get yAxisTickStrokeThickness() {
            return this.p0;
        }
        set yAxisTickStrokeThickness(a) {
            this.p0 = a;
            this.g("YAxisTickStrokeThickness");
        }
        get xAxisTitle() {
            return this.rl;
        }
        set xAxisTitle(a) {
            this.rl = a;
            this.g("XAxisTitle");
        }
        get yAxisTitle() {
            return this.r3;
        }
        set yAxisTitle(a) {
            this.r3 = a;
            this.g("YAxisTitle");
        }
        get xAxisMinorStroke() {
            return this.rh;
        }
        set xAxisMinorStroke(a) {
            this.rh = a;
            this.g("XAxisMinorStroke");
        }
        get yAxisMinorStroke() {
            return this.rz;
        }
        set yAxisMinorStroke(a) {
            this.rz = a;
            this.g("YAxisMinorStroke");
        }
        get xAxisLabelAngle() {
            return this.pa;
        }
        set xAxisLabelAngle(a) {
            this.pa = a;
            this.g("XAxisLabelAngle");
        }
        get yAxisLabelAngle() {
            return this.pr;
        }
        set yAxisLabelAngle(a) {
            this.pr = a;
            this.g("YAxisLabelAngle");
        }
        get xAxisExtent() {
            return this.o9;
        }
        set xAxisExtent(a) {
            this.o9 = a;
            this.g("XAxisExtent");
        }
        get yAxisExtent() {
            return this.pq;
        }
        set yAxisExtent(a) {
            this.pq = a;
            this.g("YAxisExtent");
        }
        get xAxisTitleAngle() {
            return this.pk;
        }
        set xAxisTitleAngle(a) {
            this.pk = a;
            this.g("XAxisTitleAngle");
        }
        get yAxisTitleAngle() {
            return this.p1;
        }
        set yAxisTitleAngle(a) {
            this.p1 = a;
            this.g("YAxisTitleAngle");
        }
        get xAxisInverted() {
            return this.o5;
        }
        set xAxisInverted(a) {
            this.o5 = a;
            this.g("XAxisInverted");
        }
        get yAxisInverted() {
            return this.o6;
        }
        set yAxisInverted(a) {
            this.o6 = a;
            this.g("YAxisInverted");
        }
        get xAxisTitleAlignment() {
            return this.rm;
        }
        set xAxisTitleAlignment(a) {
            this.rm = a;
            this.g("XAxisTitleAlignment");
        }
        get yAxisTitleAlignment() {
            return this.r4;
        }
        set yAxisTitleAlignment(a) {
            this.r4 = a;
            this.g("YAxisTitleAlignment");
        }
        get xAxisLabelHorizontalAlignment() {
            return this.q9;
        }
        set xAxisLabelHorizontalAlignment(a) {
            this.q9 = a;
            this.g("XAxisLabelHorizontalAlignment");
        }
        get yAxisLabelHorizontalAlignment() {
            return this.rr;
        }
        set yAxisLabelHorizontalAlignment(a) {
            this.rr = a;
            this.g("YAxisLabelHorizontalAlignment");
        }
        get xAxisLabelVerticalAlignment() {
            return this.re;
        }
        set xAxisLabelVerticalAlignment(a) {
            this.re = a;
            this.g("XAxisLabelVerticalAlignment");
        }
        get yAxisLabelVerticalAlignment() {
            return this.rw;
        }
        set yAxisLabelVerticalAlignment(a) {
            this.rw = a;
            this.g("YAxisLabelVerticalAlignment");
        }
        get xAxisLabelVisibility() {
            return this.rf;
        }
        set xAxisLabelVisibility(a) {
            this.rf = a;
            this.g("XAxisLabelVisibility");
        }
        get yAxisLabelVisibility() {
            return this.rx;
        }
        set yAxisLabelVisibility(a) {
            this.rx = a;
            this.g("YAxisLabelVisibility");
        }
        get yAxisLabelLocation() {
            return this.rs;
        }
        set yAxisLabelLocation(a) {
            this.rs = a;
            this.g("YAxisLabelLocation");
        }
        get xAxisLabelLocation() {
            return this.ra;
        }
        set xAxisLabelLocation(a) {
            this.ra = a;
            this.g("XAxisLabelLocation");
        }
        get xAxisLabelFormat() {
            return this.q8;
        }
        set xAxisLabelFormat(a) {
            this.q8 = a;
            this.g("XAxisLabelFormat");
        }
        get xAxisLabelFormatSpecifiers() {
            return this.o1;
        }
        set xAxisLabelFormatSpecifiers(a) {
            this.o1 = a;
            this.g("XAxisLabelFormatSpecifiers");
        }
        get yAxisLabelFormat() {
            return this.rq;
        }
        set yAxisLabelFormat(a) {
            this.rq = a;
            this.g("YAxisLabelFormat");
        }
        get yAxisLabelFormatSpecifiers() {
            return this.o2;
        }
        set yAxisLabelFormatSpecifiers(a) {
            this.o2 = a;
            this.g("YAxisLabelFormatSpecifiers");
        }
    }
    XYChartDescription.$t = markType(XYChartDescription, 'XYChartDescription', DomainChartDescription.$);
    return XYChartDescription;
})();
